﻿function setVisible(a, c) {
	var b = document.getElementById(a);
	b.style.visibility = c ? "visible" : "hidden"
}
function isValidFields() {
	var a = document.getElementById("textSour");
	if (null == a.value || a.value.length < 1) {
		a.focus();
		alert("请输入源文本");
		return false
	}
	var b = document.getElementById("textPattern");
	if (null == b.value || b.value.length < 1) {
		b.focus();
		alert("请输入正则表达式");
		return false
	}
	return true
}
function buildRegex() {
	var a = "";
	if (document.getElementById("optionGlobal").checked) {
		a = "g"
	}
	if (document.getElementById("optionIgnoreCase").checked) {
		a = a + "i"
	}
	return new RegExp(document.getElementById("textPattern").value, a)
}
function onMatch() {
	if (!isValidFields()) {
		return false
	}
	document.getElementById("textMatchResult").value = "";
	var d = buildRegex();
	var b = document.getElementById("textSour").value.match(d);
	if (null == b || 0 == b.length) {
		document.getElementById("textMatchResult").value = "（没有匹配）";
		return false
	}
	if (document.getElementById("optionGlobal").checked) {
		var a = "";
		for (var c = 0; c < b.length; ++c) {
			a = a + b[c] + "\r\n"
		}
		document.getElementById("textMatchResult").value = a
	} else {
		document.getElementById("textMatchResult").value = "匹配位置：" + d.lastIndex + "\r\n匹配结果：" + b[0]
	}
	return true
}
function onReplace() {
	var b = document.getElementById("textSour").value;
	var a = buildRegex();
	document.getElementById("textReplaceResult").value = b.replace(a, document.getElementById("textReplace").value)
};